[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.Create

Constructor for the class instance.

## Declaration

Source position: stdctrls.pp line 934

`public constructor TCustomMemo.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry.

Create allocates resources needed for the Lines, HorzScrollBar, and VertScrollBar properties. It also sets the default values for properties, including: WantTabs, WantReturns, WordWrap, AutoSelect, and AutoSize.

## See also

TCustomMemo.Destroy |  | Destructor for the class instance.